<?xml version="1.0" encoding="UTF-8" standalone="no"?>
<window xmlns="http://jmix.io/schema/ui/window"
        xmlns:c="http://jmix.io/schema/ui/jpql-condition"
        caption="msg://userTierRegistrationOnboardingBrowse.caption"
        focusComponent="userTierRegistrationsTable">
    <data readOnly="true">
        <collection id="userTierRegistrationsDc"
                    class="com.company.management.entity.registrationdb.UserTier">
            <fetchPlan extends="_base">
                <property name="tier" fetchPlan="_base"/>
                <property name="user" fetchPlan="_base">
                    <property name="actStatus" fetchPlan="_base"/>
                    <property name="identificationType" fetchPlan="_base"/>
                    <property name="userType" fetchPlan="_base"/>
                </property>
            </fetchPlan>
            <loader id="userTierRegistrationsDl">
                <query>
                    <![CDATA[select e from UserTierRegistration e
                    where e.tier.code = :tierCode1  ]]>
                </query>
            </loader>
        </collection>
    </data>
    <facets>
        <dataLoadCoordinator auto="true"/>
        <screenSettings id="settingsFacet" auto="true"/>
    </facets>
    <actions>
        <action id="lookupSelectAction"
                caption="msg:///actions.Select"
                icon="LOOKUP_OK"
                primary="true"
                shortcut="${COMMIT_SHORTCUT}"/>
        <action id="lookupCancelAction"
                caption="msg:///actions.Cancel"
                icon="LOOKUP_CANCEL"/>
    </actions>
    <dialogMode height="600"
                width="800"/>
    <layout spacing="true" height="100%" width="100%">
        <tabSheet id="userFreeTab" width="100%" responsive="true">
            <tab id="userFreeAccount" margin="true" caption="msg://Free Account" spacing="true">
                <filter id="filter"
                        dataLoader="userTierRegistrationsDl">
                    <properties include=".*"/>
                </filter>
                <groupTable id="userTierRegistrationsTable"
                            width="100%"
                            dataContainer="userTierRegistrationsDc">
                    <actions>
                        <action id="edit" type="edit"/>
                        <action id="remove" type="remove"/>
                        <action id="view" type="view"/>
                    </actions>
                    <columns>
                        <column id="user.fullName"/>
                        <column id="user.identificationType.name"/>
                        <column id="user.identificationNo"/>
                    </columns>
                    <simplePagination/>
                    <buttonsPanel id="buttonsPanel"
                                  alwaysVisible="true">
                        <button id="editBtn" action="userTierRegistrationsTable.edit"/>
                        <button id="removeBtn" action="userTierRegistrationsTable.remove"/>
                        <button id="userTierRegistrationsTableViewBtn" action="userTierRegistrationsTable.view"/>
                    </buttonsPanel>
                </groupTable>
                <hbox id="lookupActions" spacing="true" visible="false">
                    <button action="lookupSelectAction"/>
                    <button action="lookupCancelAction"/>
                </hbox>
            </tab>
            <tab id="userTradableAccount" margin="true" caption="msg://Tradable Account" spacing="true">
                <filter id="filterTradable"
                        dataLoader="userTierRegistrationsDl">
                    <properties include=".*"/>
                </filter>
                <groupTable id="userTierRegistrationsTableTradable"
                            width="100%"
                            dataContainer="userTierRegistrationsDc">
                    <actions>
                        <action id="edit" type="edit"/>
                        <action id="remove" type="remove"/>
                        <action id="view" type="view"/>
                    </actions>
                    <columns>
                        <column id="user.fullName"/>
                        <column id="user.identificationType.name"/>
                        <column id="user.actStatus.name"/>
                    </columns>
                    <simplePagination/>
                    <buttonsPanel id="buttonsPanelTradable"
                                  alwaysVisible="true">
                        <button id="editBtnTradable" action="userTierRegistrationsTableTradable.edit"/>
                        <button id="removeBtnTeadable" action="userTierRegistrationsTableTradable.remove"/>
                        <button id="userTierRegistrationsTableTradableViewBtn"
                                action="userTierRegistrationsTableTradable.view"/>
                    </buttonsPanel>
                </groupTable>
                <hbox id="lookupActionsTradable" spacing="true" visible="false">
                    <button action="lookupSelectAction"/>
                    <button action="lookupCancelAction"/>
                </hbox>
            </tab>
        </tabSheet>

    </layout>
</window>
